
Figure - Bug #117141
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.gallery3d（7）
2023-03-24 11:20 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

Reproducibility: Every time Fixed Version: 2023-03-30

Test Type: ST Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.gallery3d (pid 4124)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'int android.graphics.Bitmap.getWidth()' on a null object

reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2574:user/test-keys

// Build Changelist: 2574

// Build Time: 1679524874000

// java.lang.NullPointerException: Attempt to invoke virtual method 'int android.graphics.Bitmap.getWidth()' on a null object reference

//     at com.android.gallery3d.glrenderer.UploadedTexture.getBitmap(UploadedTexture.java:137)

//     at com.android.gallery3d.glrenderer.UploadedTexture.uploadToCanvas(UploadedTexture.java:212)

//     at com.android.gallery3d.glrenderer.UploadedTexture.updateContent(UploadedTexture.java:191)

//     at com.android.gallery3d.glrenderer.UploadedTexture.onBind(UploadedTexture.java:275)

//     at com.android.gallery3d.glrenderer.GLES20Canvas.prepareTexture(GLES20Canvas.java:706)

//     at com.android.gallery3d.glrenderer.GLES20Canvas.prepareTexture(GLES20Canvas.java:696)

//     at com.android.gallery3d.glrenderer.GLES20Canvas.drawTextureRect(GLES20Canvas.java:668)

//     at com.android.gallery3d.glrenderer.GLES20Canvas.drawTextureRect(GLES20Canvas.java:630)

//     at com.android.gallery3d.glrenderer.GLES20Canvas.drawTexture(GLES20Canvas.java:615)

//     at com.android.gallery3d.glrenderer.TiledTexture.draw(TiledTexture.java:308)

//     at com.android.gallery3d.ui.TiledScreenNail.draw(TiledScreenNail.java:174)

//     at com.android.gallery3d.ui.TileImageView.render(TileImageView.java:443)

//     at com.android.gallery3d.ui.GLView.renderChild(GLView.java:286)

//     at com.android.gallery3d.ui.PhotoView$FullPicture.drawTileView(PhotoView.java:729)

//     at com.android.gallery3d.ui.PhotoView$FullPicture.draw(PhotoView.java:644)

//     at com.android.gallery3d.ui.PhotoView.render(PhotoView.java:1462)

//     at com.android.gallery3d.ui.GLView.renderChild(GLView.java:286)

//     at com.android.gallery3d.ui.GLView.render(GLView.java:236)

//     at com.android.gallery3d.ui.GLRootView.onDrawFrameLocked(GLRootView.java:411)
//     at com.android.gallery3d.ui.GLRootView.onDrawFrame(GLRootView.java:355)

//     at android.opengl.GLSurfaceView$GLThread.guardedRun(GLSurfaceView.java:1577)

//     at android.opengl.GLSurfaceView$GLThread.run(GLSurfaceView.java:1272)

// 

History

#1 - 2023-03-28 10:39 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-03-29 19:47 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

未做非空判定

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/190732

#3 - 2023-03-29 20:09 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-30

- Root cause set to AOSP问题

#4 - 2023-03-29 20:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190732 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gallery2:fixed monkey exception1.Fixed NullExceptionTC-RID: 0301-0300701IssueID: TS-R-BUG-117141Change-Id:

I6f6b1ce80cddd6a678499067d3f7ba67881bec0b

#5 - 2023-04-03 11:38 - CD TEST-方永红

3.31、4.1版本未复现

#6 - 2023-04-06 10:57 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

4.6

4.4的0088版本未复现

先关闭该Bug

#7 - 2023-04-06 10:57 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2212290000001651_000010_0323204521.tar.gz38.9 MB 2023-03-24 CD TEST-方永红

error.txt 53.1 KB 2023-03-24 CD TEST-方永红
